package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * FamilyEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class FamilyEntity   {
  @JsonProperty("familyName")
  private String familyName;

  @JsonProperty("familyId")
  private Integer familyId;

  @JsonProperty("description")
  private String description;

  public FamilyEntity familyName(String familyName) {
    this.familyName = familyName;
    return this;
  }

  /**
   * Family name
   * @return familyName
  */
  @ApiModelProperty(value = "Family name")


  public String getFamilyName() {
    return familyName;
  }

  public void setFamilyName(String familyName) {
    this.familyName = familyName;
  }

  public FamilyEntity familyId(Integer familyId) {
    this.familyId = familyId;
    return this;
  }

  /**
   * Family ID
   * @return familyId
  */
  @ApiModelProperty(value = "Family ID")


  public Integer getFamilyId() {
    return familyId;
  }

  public void setFamilyId(Integer familyId) {
    this.familyId = familyId;
  }

  public FamilyEntity description(String description) {
    this.description = description;
    return this;
  }

  /**
   * Description of family
   * @return description
  */
  @ApiModelProperty(value = "Description of family")


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FamilyEntity familyEntity = (FamilyEntity) o;
    return Objects.equals(this.familyName, familyEntity.familyName) &&
        Objects.equals(this.familyId, familyEntity.familyId) &&
        Objects.equals(this.description, familyEntity.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(familyName, familyId, description);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FamilyEntity {\n");
    
    sb.append("    familyName: ").append(toIndentedString(familyName)).append("\n");
    sb.append("    familyId: ").append(toIndentedString(familyId)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

